import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * Amazon API Gateway Websocket and HTTP APIs.
 *
 * @stability stable
 */
export interface DataAwsApigatewayv2ExportConfig extends cdktf.TerraformMetaArguments {
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/aws/d/apigatewayv2_export#api_id DataAwsApigatewayv2Export#api_id}.
     *
     * @stability stable
     */
    readonly apiId: string;
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/aws/d/apigatewayv2_export#export_version DataAwsApigatewayv2Export#export_version}.
     *
     * @stability stable
     */
    readonly exportVersion?: string;
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/aws/d/apigatewayv2_export#include_extensions DataAwsApigatewayv2Export#include_extensions}.
     *
     * @stability stable
     */
    readonly includeExtensions?: boolean | cdktf.IResolvable;
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/aws/d/apigatewayv2_export#output_type DataAwsApigatewayv2Export#output_type}.
     *
     * @stability stable
     */
    readonly outputType: string;
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/aws/d/apigatewayv2_export#specification DataAwsApigatewayv2Export#specification}.
     *
     * @stability stable
     */
    readonly specification: string;
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/aws/d/apigatewayv2_export#stage_name DataAwsApigatewayv2Export#stage_name}.
     *
     * @stability stable
     */
    readonly stageName?: string;
}
/**
 * Represents a {@link https://www.terraform.io/docs/providers/aws/d/apigatewayv2_export aws_apigatewayv2_export}.
 *
 * @stability stable
 */
export declare class DataAwsApigatewayv2Export extends cdktf.TerraformDataSource {
    /**
     * @stability stable
     */
    static readonly tfResourceType: string;
    /**
     * Create a new {@link https://www.terraform.io/docs/providers/aws/d/apigatewayv2_export aws_apigatewayv2_export} Data Source.
     *
     * @param scope The scope in which to define this construct.
     * @param id The scoped construct ID.
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: DataAwsApigatewayv2ExportConfig);
    private _apiId?;
    /**
     * @stability stable
     */
    get apiId(): string;
    /**
     * @stability stable
     */
    set apiId(value: string);
    /**
     * @stability stable
     */
    get apiIdInput(): string | undefined;
    /**
     * @stability stable
     */
    get body(): string;
    private _exportVersion?;
    /**
     * @stability stable
     */
    get exportVersion(): string;
    /**
     * @stability stable
     */
    set exportVersion(value: string);
    /**
     * @stability stable
     */
    resetExportVersion(): void;
    /**
     * @stability stable
     */
    get exportVersionInput(): string | undefined;
    /**
     * @stability stable
     */
    get id(): string;
    private _includeExtensions?;
    /**
     * @stability stable
     */
    get includeExtensions(): boolean | cdktf.IResolvable;
    /**
     * @stability stable
     */
    set includeExtensions(value: boolean | cdktf.IResolvable);
    /**
     * @stability stable
     */
    resetIncludeExtensions(): void;
    /**
     * @stability stable
     */
    get includeExtensionsInput(): boolean | cdktf.IResolvable | undefined;
    private _outputType?;
    /**
     * @stability stable
     */
    get outputType(): string;
    /**
     * @stability stable
     */
    set outputType(value: string);
    /**
     * @stability stable
     */
    get outputTypeInput(): string | undefined;
    private _specification?;
    /**
     * @stability stable
     */
    get specification(): string;
    /**
     * @stability stable
     */
    set specification(value: string);
    /**
     * @stability stable
     */
    get specificationInput(): string | undefined;
    private _stageName?;
    /**
     * @stability stable
     */
    get stageName(): string;
    /**
     * @stability stable
     */
    set stageName(value: string);
    /**
     * @stability stable
     */
    resetStageName(): void;
    /**
     * @stability stable
     */
    get stageNameInput(): string | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
