import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * AWS Connect.
 *
 * @stability stable
 */
export interface ConnectQueueConfig extends cdktf.TerraformMetaArguments {
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/aws/r/connect_queue#description ConnectQueue#description}.
     *
     * @stability stable
     */
    readonly description?: string;
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/aws/r/connect_queue#hours_of_operation_id ConnectQueue#hours_of_operation_id}.
     *
     * @stability stable
     */
    readonly hoursOfOperationId: string;
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/aws/r/connect_queue#instance_id ConnectQueue#instance_id}.
     *
     * @stability stable
     */
    readonly instanceId: string;
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/aws/r/connect_queue#max_contacts ConnectQueue#max_contacts}.
     *
     * @stability stable
     */
    readonly maxContacts?: number;
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/aws/r/connect_queue#name ConnectQueue#name}.
     *
     * @stability stable
     */
    readonly name: string;
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/aws/r/connect_queue#quick_connect_ids ConnectQueue#quick_connect_ids}.
     *
     * @stability stable
     */
    readonly quickConnectIds?: string[];
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/aws/r/connect_queue#status ConnectQueue#status}.
     *
     * @stability stable
     */
    readonly status?: string;
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/aws/r/connect_queue#tags ConnectQueue#tags}.
     *
     * @stability stable
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/aws/r/connect_queue#tags_all ConnectQueue#tags_all}.
     *
     * @stability stable
     */
    readonly tagsAll?: {
        [key: string]: string;
    };
    /**
     * outbound_caller_config block.
     *
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/aws/r/connect_queue#outbound_caller_config ConnectQueue#outbound_caller_config}
     *
     * @stability stable
     */
    readonly outboundCallerConfig?: ConnectQueueOutboundCallerConfig;
}
/**
 * @stability stable
 */
export interface ConnectQueueOutboundCallerConfig {
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/aws/r/connect_queue#outbound_caller_id_name ConnectQueue#outbound_caller_id_name}.
     *
     * @stability stable
     */
    readonly outboundCallerIdName?: string;
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/aws/r/connect_queue#outbound_caller_id_number_id ConnectQueue#outbound_caller_id_number_id}.
     *
     * @stability stable
     */
    readonly outboundCallerIdNumberId?: string;
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/aws/r/connect_queue#outbound_flow_id ConnectQueue#outbound_flow_id}.
     *
     * @stability stable
     */
    readonly outboundFlowId?: string;
}
export declare function connectQueueOutboundCallerConfigToTerraform(struct?: ConnectQueueOutboundCallerConfigOutputReference | ConnectQueueOutboundCallerConfig): any;
/**
 * @stability stable
 */
export declare class ConnectQueueOutboundCallerConfigOutputReference extends cdktf.ComplexObject {
    private isEmptyObject;
    /**
     * @param terraformResource The parent resource.
     * @param terraformAttribute The attribute on the parent resource this class is referencing.
     * @param isSingleItem True if this is a block, false if it's a list.
     * @stability stable
     */
    constructor(terraformResource: cdktf.IInterpolatingParent, terraformAttribute: string, isSingleItem: boolean);
    /**
     * @stability stable
     */
    get internalValue(): ConnectQueueOutboundCallerConfig | undefined;
    /**
     * @stability stable
     */
    set internalValue(value: ConnectQueueOutboundCallerConfig | undefined);
    private _outboundCallerIdName?;
    /**
     * @stability stable
     */
    get outboundCallerIdName(): string;
    /**
     * @stability stable
     */
    set outboundCallerIdName(value: string);
    /**
     * @stability stable
     */
    resetOutboundCallerIdName(): void;
    /**
     * @stability stable
     */
    get outboundCallerIdNameInput(): string | undefined;
    private _outboundCallerIdNumberId?;
    /**
     * @stability stable
     */
    get outboundCallerIdNumberId(): string;
    /**
     * @stability stable
     */
    set outboundCallerIdNumberId(value: string);
    /**
     * @stability stable
     */
    resetOutboundCallerIdNumberId(): void;
    /**
     * @stability stable
     */
    get outboundCallerIdNumberIdInput(): string | undefined;
    private _outboundFlowId?;
    /**
     * @stability stable
     */
    get outboundFlowId(): string;
    /**
     * @stability stable
     */
    set outboundFlowId(value: string);
    /**
     * @stability stable
     */
    resetOutboundFlowId(): void;
    /**
     * @stability stable
     */
    get outboundFlowIdInput(): string | undefined;
}
/**
 * Represents a {@link https://www.terraform.io/docs/providers/aws/r/connect_queue aws_connect_queue}.
 *
 * @stability stable
 */
export declare class ConnectQueue extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    static readonly tfResourceType: string;
    /**
     * Create a new {@link https://www.terraform.io/docs/providers/aws/r/connect_queue aws_connect_queue} Resource.
     *
     * @param scope The scope in which to define this construct.
     * @param id The scoped construct ID.
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: ConnectQueueConfig);
    /**
     * @stability stable
     */
    get arn(): string;
    private _description?;
    /**
     * @stability stable
     */
    get description(): string;
    /**
     * @stability stable
     */
    set description(value: string);
    /**
     * @stability stable
     */
    resetDescription(): void;
    /**
     * @stability stable
     */
    get descriptionInput(): string | undefined;
    private _hoursOfOperationId?;
    /**
     * @stability stable
     */
    get hoursOfOperationId(): string;
    /**
     * @stability stable
     */
    set hoursOfOperationId(value: string);
    /**
     * @stability stable
     */
    get hoursOfOperationIdInput(): string | undefined;
    /**
     * @stability stable
     */
    get id(): string;
    private _instanceId?;
    /**
     * @stability stable
     */
    get instanceId(): string;
    /**
     * @stability stable
     */
    set instanceId(value: string);
    /**
     * @stability stable
     */
    get instanceIdInput(): string | undefined;
    private _maxContacts?;
    /**
     * @stability stable
     */
    get maxContacts(): number;
    /**
     * @stability stable
     */
    set maxContacts(value: number);
    /**
     * @stability stable
     */
    resetMaxContacts(): void;
    /**
     * @stability stable
     */
    get maxContactsInput(): number | undefined;
    private _name?;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string | undefined;
    /**
     * @stability stable
     */
    get queueId(): string;
    private _quickConnectIds?;
    /**
     * @stability stable
     */
    get quickConnectIds(): string[];
    /**
     * @stability stable
     */
    set quickConnectIds(value: string[]);
    /**
     * @stability stable
     */
    resetQuickConnectIds(): void;
    /**
     * @stability stable
     */
    get quickConnectIdsInput(): string[] | undefined;
    private _status?;
    /**
     * @stability stable
     */
    get status(): string;
    /**
     * @stability stable
     */
    set status(value: string);
    /**
     * @stability stable
     */
    resetStatus(): void;
    /**
     * @stability stable
     */
    get statusInput(): string | undefined;
    private _tags?;
    /**
     * @stability stable
     */
    get tags(): {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    set tags(value: {
        [key: string]: string;
    });
    /**
     * @stability stable
     */
    resetTags(): void;
    /**
     * @stability stable
     */
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _tagsAll?;
    /**
     * @stability stable
     */
    get tagsAll(): {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    set tagsAll(value: {
        [key: string]: string;
    });
    /**
     * @stability stable
     */
    resetTagsAll(): void;
    /**
     * @stability stable
     */
    get tagsAllInput(): {
        [key: string]: string;
    } | undefined;
    private _outboundCallerConfig;
    /**
     * @stability stable
     */
    get outboundCallerConfig(): ConnectQueueOutboundCallerConfigOutputReference;
    /**
     * @stability stable
     */
    putOutboundCallerConfig(value: ConnectQueueOutboundCallerConfig): void;
    /**
     * @stability stable
     */
    resetOutboundCallerConfig(): void;
    /**
     * @stability stable
     */
    get outboundCallerConfigInput(): ConnectQueueOutboundCallerConfig | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
