import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * AWS Connect.
 *
 * @stability stable
 */
export interface DataAwsConnectQuickConnectConfig extends cdktf.TerraformMetaArguments {
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/aws/d/connect_quick_connect#instance_id DataAwsConnectQuickConnect#instance_id}.
     *
     * @stability stable
     */
    readonly instanceId: string;
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/aws/d/connect_quick_connect#name DataAwsConnectQuickConnect#name}.
     *
     * @stability stable
     */
    readonly name?: string;
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/aws/d/connect_quick_connect#quick_connect_id DataAwsConnectQuickConnect#quick_connect_id}.
     *
     * @stability stable
     */
    readonly quickConnectId?: string;
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/aws/d/connect_quick_connect#tags DataAwsConnectQuickConnect#tags}.
     *
     * @stability stable
     */
    readonly tags?: {
        [key: string]: string;
    };
}
/**
 * @stability stable
 */
export declare class DataAwsConnectQuickConnectQuickConnectConfigPhoneConfig extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get phoneNumber(): string;
}
/**
 * @stability stable
 */
export declare class DataAwsConnectQuickConnectQuickConnectConfigQueueConfig extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get contactFlowId(): string;
    /**
     * @stability stable
     */
    get queueId(): string;
}
/**
 * @stability stable
 */
export declare class DataAwsConnectQuickConnectQuickConnectConfigUserConfig extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get contactFlowId(): string;
    /**
     * @stability stable
     */
    get userId(): string;
}
/**
 * @stability stable
 */
export declare class DataAwsConnectQuickConnectQuickConnectConfig extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get phoneConfig(): cdktf.IResolvable;
    /**
     * @stability stable
     */
    get queueConfig(): cdktf.IResolvable;
    /**
     * @stability stable
     */
    get quickConnectType(): string;
    /**
     * @stability stable
     */
    get userConfig(): cdktf.IResolvable;
}
/**
 * Represents a {@link https://www.terraform.io/docs/providers/aws/d/connect_quick_connect aws_connect_quick_connect}.
 *
 * @stability stable
 */
export declare class DataAwsConnectQuickConnect extends cdktf.TerraformDataSource {
    /**
     * @stability stable
     */
    static readonly tfResourceType: string;
    /**
     * Create a new {@link https://www.terraform.io/docs/providers/aws/d/connect_quick_connect aws_connect_quick_connect} Data Source.
     *
     * @param scope The scope in which to define this construct.
     * @param id The scoped construct ID.
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: DataAwsConnectQuickConnectConfig);
    /**
     * @stability stable
     */
    get arn(): string;
    /**
     * @stability stable
     */
    get description(): string;
    /**
     * @stability stable
     */
    get id(): string;
    private _instanceId?;
    /**
     * @stability stable
     */
    get instanceId(): string;
    /**
     * @stability stable
     */
    set instanceId(value: string);
    /**
     * @stability stable
     */
    get instanceIdInput(): string | undefined;
    private _name?;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    resetName(): void;
    /**
     * @stability stable
     */
    get nameInput(): string | undefined;
    /**
     * @stability stable
     */
    quickConnectConfig(index: string): DataAwsConnectQuickConnectQuickConnectConfig;
    private _quickConnectId?;
    /**
     * @stability stable
     */
    get quickConnectId(): string;
    /**
     * @stability stable
     */
    set quickConnectId(value: string);
    /**
     * @stability stable
     */
    resetQuickConnectId(): void;
    /**
     * @stability stable
     */
    get quickConnectIdInput(): string | undefined;
    private _tags?;
    /**
     * @stability stable
     */
    get tags(): {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    set tags(value: {
        [key: string]: string;
    });
    /**
     * @stability stable
     */
    resetTags(): void;
    /**
     * @stability stable
     */
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
