import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * AWS Data Pipeline.
 *
 * @stability stable
 */
export interface DataAwsDatapipelinePipelineDefinitionConfig extends cdktf.TerraformMetaArguments {
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/aws/d/datapipeline_pipeline_definition#pipeline_id DataAwsDatapipelinePipelineDefinition#pipeline_id}.
     *
     * @stability stable
     */
    readonly pipelineId: string;
    /**
     * parameter_value block.
     *
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/aws/d/datapipeline_pipeline_definition#parameter_value DataAwsDatapipelinePipelineDefinition#parameter_value}
     *
     * @stability stable
     */
    readonly parameterValue?: DataAwsDatapipelinePipelineDefinitionParameterValue[] | cdktf.IResolvable;
}
/**
 * @stability stable
 */
export declare class DataAwsDatapipelinePipelineDefinitionParameterObjectAttribute extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get key(): string;
    /**
     * @stability stable
     */
    get stringValue(): string;
}
/**
 * @stability stable
 */
export declare class DataAwsDatapipelinePipelineDefinitionParameterObject extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get attribute(): cdktf.IResolvable;
    /**
     * @stability stable
     */
    get id(): string;
}
/**
 * @stability stable
 */
export declare class DataAwsDatapipelinePipelineDefinitionPipelineObjectField extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get key(): string;
    /**
     * @stability stable
     */
    get refValue(): string;
    /**
     * @stability stable
     */
    get stringValue(): string;
}
/**
 * @stability stable
 */
export declare class DataAwsDatapipelinePipelineDefinitionPipelineObject extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get field(): cdktf.IResolvable;
    /**
     * @stability stable
     */
    get id(): string;
    /**
     * @stability stable
     */
    get name(): string;
}
/**
 * @stability stable
 */
export interface DataAwsDatapipelinePipelineDefinitionParameterValue {
}
export declare function dataAwsDatapipelinePipelineDefinitionParameterValueToTerraform(struct?: DataAwsDatapipelinePipelineDefinitionParameterValue | cdktf.IResolvable): any;
/**
 * Represents a {@link https://www.terraform.io/docs/providers/aws/d/datapipeline_pipeline_definition aws_datapipeline_pipeline_definition}.
 *
 * @stability stable
 */
export declare class DataAwsDatapipelinePipelineDefinition extends cdktf.TerraformDataSource {
    /**
     * @stability stable
     */
    static readonly tfResourceType: string;
    /**
     * Create a new {@link https://www.terraform.io/docs/providers/aws/d/datapipeline_pipeline_definition aws_datapipeline_pipeline_definition} Data Source.
     *
     * @param scope The scope in which to define this construct.
     * @param id The scoped construct ID.
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: DataAwsDatapipelinePipelineDefinitionConfig);
    /**
     * @stability stable
     */
    get id(): string;
    /**
     * @stability stable
     */
    parameterObject(index: string): DataAwsDatapipelinePipelineDefinitionParameterObject;
    private _pipelineId?;
    /**
     * @stability stable
     */
    get pipelineId(): string;
    /**
     * @stability stable
     */
    set pipelineId(value: string);
    /**
     * @stability stable
     */
    get pipelineIdInput(): string | undefined;
    /**
     * @stability stable
     */
    pipelineObject(index: string): DataAwsDatapipelinePipelineDefinitionPipelineObject;
    private _parameterValue?;
    /**
     * @stability stable
     */
    get parameterValue(): DataAwsDatapipelinePipelineDefinitionParameterValue[] | cdktf.IResolvable;
    /**
     * @stability stable
     */
    set parameterValue(value: DataAwsDatapipelinePipelineDefinitionParameterValue[] | cdktf.IResolvable);
    /**
     * @stability stable
     */
    resetParameterValue(): void;
    /**
     * @stability stable
     */
    get parameterValueInput(): cdktf.IResolvable | DataAwsDatapipelinePipelineDefinitionParameterValue[] | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
