import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * AWS Data Pipeline.
 *
 * @stability stable
 */
export interface DatapipelinePipelineDefinitionConfig extends cdktf.TerraformMetaArguments {
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/aws/r/datapipeline_pipeline_definition#pipeline_id DatapipelinePipelineDefinition#pipeline_id}.
     *
     * @stability stable
     */
    readonly pipelineId: string;
    /**
     * parameter_object block.
     *
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/aws/r/datapipeline_pipeline_definition#parameter_object DatapipelinePipelineDefinition#parameter_object}
     *
     * @stability stable
     */
    readonly parameterObject?: DatapipelinePipelineDefinitionParameterObject[] | cdktf.IResolvable;
    /**
     * parameter_value block.
     *
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/aws/r/datapipeline_pipeline_definition#parameter_value DatapipelinePipelineDefinition#parameter_value}
     *
     * @stability stable
     */
    readonly parameterValue?: DatapipelinePipelineDefinitionParameterValue[] | cdktf.IResolvable;
    /**
     * pipeline_object block.
     *
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/aws/r/datapipeline_pipeline_definition#pipeline_object DatapipelinePipelineDefinition#pipeline_object}
     *
     * @stability stable
     */
    readonly pipelineObject: DatapipelinePipelineDefinitionPipelineObject[] | cdktf.IResolvable;
}
/**
 * @stability stable
 */
export interface DatapipelinePipelineDefinitionParameterObjectAttribute {
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/aws/r/datapipeline_pipeline_definition#key DatapipelinePipelineDefinition#key}.
     *
     * @stability stable
     */
    readonly key: string;
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/aws/r/datapipeline_pipeline_definition#string_value DatapipelinePipelineDefinition#string_value}.
     *
     * @stability stable
     */
    readonly stringValue: string;
}
export declare function datapipelinePipelineDefinitionParameterObjectAttributeToTerraform(struct?: DatapipelinePipelineDefinitionParameterObjectAttribute | cdktf.IResolvable): any;
/**
 * @stability stable
 */
export interface DatapipelinePipelineDefinitionParameterObject {
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/aws/r/datapipeline_pipeline_definition#id DatapipelinePipelineDefinition#id}.
     *
     * @stability stable
     */
    readonly id: string;
    /**
     * attribute block.
     *
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/aws/r/datapipeline_pipeline_definition#attribute DatapipelinePipelineDefinition#attribute}
     *
     * @stability stable
     */
    readonly attribute?: DatapipelinePipelineDefinitionParameterObjectAttribute[] | cdktf.IResolvable;
}
export declare function datapipelinePipelineDefinitionParameterObjectToTerraform(struct?: DatapipelinePipelineDefinitionParameterObject | cdktf.IResolvable): any;
/**
 * @stability stable
 */
export interface DatapipelinePipelineDefinitionParameterValue {
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/aws/r/datapipeline_pipeline_definition#id DatapipelinePipelineDefinition#id}.
     *
     * @stability stable
     */
    readonly id: string;
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/aws/r/datapipeline_pipeline_definition#string_value DatapipelinePipelineDefinition#string_value}.
     *
     * @stability stable
     */
    readonly stringValue: string;
}
export declare function datapipelinePipelineDefinitionParameterValueToTerraform(struct?: DatapipelinePipelineDefinitionParameterValue | cdktf.IResolvable): any;
/**
 * @stability stable
 */
export interface DatapipelinePipelineDefinitionPipelineObjectField {
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/aws/r/datapipeline_pipeline_definition#key DatapipelinePipelineDefinition#key}.
     *
     * @stability stable
     */
    readonly key: string;
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/aws/r/datapipeline_pipeline_definition#ref_value DatapipelinePipelineDefinition#ref_value}.
     *
     * @stability stable
     */
    readonly refValue?: string;
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/aws/r/datapipeline_pipeline_definition#string_value DatapipelinePipelineDefinition#string_value}.
     *
     * @stability stable
     */
    readonly stringValue?: string;
}
export declare function datapipelinePipelineDefinitionPipelineObjectFieldToTerraform(struct?: DatapipelinePipelineDefinitionPipelineObjectField | cdktf.IResolvable): any;
/**
 * @stability stable
 */
export interface DatapipelinePipelineDefinitionPipelineObject {
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/aws/r/datapipeline_pipeline_definition#id DatapipelinePipelineDefinition#id}.
     *
     * @stability stable
     */
    readonly id: string;
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/aws/r/datapipeline_pipeline_definition#name DatapipelinePipelineDefinition#name}.
     *
     * @stability stable
     */
    readonly name: string;
    /**
     * field block.
     *
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/aws/r/datapipeline_pipeline_definition#field DatapipelinePipelineDefinition#field}
     *
     * @stability stable
     */
    readonly field?: DatapipelinePipelineDefinitionPipelineObjectField[] | cdktf.IResolvable;
}
export declare function datapipelinePipelineDefinitionPipelineObjectToTerraform(struct?: DatapipelinePipelineDefinitionPipelineObject | cdktf.IResolvable): any;
/**
 * Represents a {@link https://www.terraform.io/docs/providers/aws/r/datapipeline_pipeline_definition aws_datapipeline_pipeline_definition}.
 *
 * @stability stable
 */
export declare class DatapipelinePipelineDefinition extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    static readonly tfResourceType: string;
    /**
     * Create a new {@link https://www.terraform.io/docs/providers/aws/r/datapipeline_pipeline_definition aws_datapipeline_pipeline_definition} Resource.
     *
     * @param scope The scope in which to define this construct.
     * @param id The scoped construct ID.
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: DatapipelinePipelineDefinitionConfig);
    /**
     * @stability stable
     */
    get id(): string;
    private _pipelineId?;
    /**
     * @stability stable
     */
    get pipelineId(): string;
    /**
     * @stability stable
     */
    set pipelineId(value: string);
    /**
     * @stability stable
     */
    get pipelineIdInput(): string | undefined;
    private _parameterObject?;
    /**
     * @stability stable
     */
    get parameterObject(): DatapipelinePipelineDefinitionParameterObject[] | cdktf.IResolvable;
    /**
     * @stability stable
     */
    set parameterObject(value: DatapipelinePipelineDefinitionParameterObject[] | cdktf.IResolvable);
    /**
     * @stability stable
     */
    resetParameterObject(): void;
    /**
     * @stability stable
     */
    get parameterObjectInput(): cdktf.IResolvable | DatapipelinePipelineDefinitionParameterObject[] | undefined;
    private _parameterValue?;
    /**
     * @stability stable
     */
    get parameterValue(): DatapipelinePipelineDefinitionParameterValue[] | cdktf.IResolvable;
    /**
     * @stability stable
     */
    set parameterValue(value: DatapipelinePipelineDefinitionParameterValue[] | cdktf.IResolvable);
    /**
     * @stability stable
     */
    resetParameterValue(): void;
    /**
     * @stability stable
     */
    get parameterValueInput(): cdktf.IResolvable | DatapipelinePipelineDefinitionParameterValue[] | undefined;
    private _pipelineObject?;
    /**
     * @stability stable
     */
    get pipelineObject(): DatapipelinePipelineDefinitionPipelineObject[] | cdktf.IResolvable;
    /**
     * @stability stable
     */
    set pipelineObject(value: DatapipelinePipelineDefinitionPipelineObject[] | cdktf.IResolvable);
    /**
     * @stability stable
     */
    get pipelineObjectInput(): cdktf.IResolvable | DatapipelinePipelineDefinitionPipelineObject[] | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
