import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * AWS Image Builder.
 *
 * @stability stable
 */
export interface DataAwsImagebuilderInfrastructureConfigurationsConfig extends cdktf.TerraformMetaArguments {
    /**
     * filter block.
     *
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/aws/d/imagebuilder_infrastructure_configurations#filter DataAwsImagebuilderInfrastructureConfigurations#filter}
     *
     * @stability stable
     */
    readonly filter?: DataAwsImagebuilderInfrastructureConfigurationsFilter[] | cdktf.IResolvable;
}
/**
 * @stability stable
 */
export interface DataAwsImagebuilderInfrastructureConfigurationsFilter {
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/aws/d/imagebuilder_infrastructure_configurations#name DataAwsImagebuilderInfrastructureConfigurations#name}.
     *
     * @stability stable
     */
    readonly name: string;
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/aws/d/imagebuilder_infrastructure_configurations#values DataAwsImagebuilderInfrastructureConfigurations#values}.
     *
     * @stability stable
     */
    readonly values: string[];
}
export declare function dataAwsImagebuilderInfrastructureConfigurationsFilterToTerraform(struct?: DataAwsImagebuilderInfrastructureConfigurationsFilter | cdktf.IResolvable): any;
/**
 * Represents a {@link https://www.terraform.io/docs/providers/aws/d/imagebuilder_infrastructure_configurations aws_imagebuilder_infrastructure_configurations}.
 *
 * @stability stable
 */
export declare class DataAwsImagebuilderInfrastructureConfigurations extends cdktf.TerraformDataSource {
    /**
     * @stability stable
     */
    static readonly tfResourceType: string;
    /**
     * Create a new {@link https://www.terraform.io/docs/providers/aws/d/imagebuilder_infrastructure_configurations aws_imagebuilder_infrastructure_configurations} Data Source.
     *
     * @param scope The scope in which to define this construct.
     * @param id The scoped construct ID.
     * @stability stable
     */
    constructor(scope: Construct, id: string, config?: DataAwsImagebuilderInfrastructureConfigurationsConfig);
    /**
     * @stability stable
     */
    get arns(): string[];
    /**
     * @stability stable
     */
    get id(): string;
    /**
     * @stability stable
     */
    get names(): string[];
    private _filter?;
    /**
     * @stability stable
     */
    get filter(): DataAwsImagebuilderInfrastructureConfigurationsFilter[] | cdktf.IResolvable;
    /**
     * @stability stable
     */
    set filter(value: DataAwsImagebuilderInfrastructureConfigurationsFilter[] | cdktf.IResolvable);
    /**
     * @stability stable
     */
    resetFilter(): void;
    /**
     * @stability stable
     */
    get filterInput(): cdktf.IResolvable | DataAwsImagebuilderInfrastructureConfigurationsFilter[] | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
